summaryrefslogtreecommitdiff
path: root/src/backend/f_import.sh
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-11-04 06:12:14 +0000
committerV3n3RiX <venerix@redcorelinux.org>2017-11-04 06:12:14 +0000
commit8fbf0baee6a6b82876d43cef4abc34d021252d25 (patch)
tree23103fd1ff0aae03ab20229a035573c1df16a5fa /src/backend/f_import.sh
parent8d25c02e51386bb0f463349e85400df9e07d94a7 (diff)
add Makefilev1.1710
Diffstat (limited to 'src/backend/f_import.sh')
-rw-r--r--src/backend/f_import.sh57
1 files changed, 57 insertions, 0 deletions
diff --git a/src/backend/f_import.sh b/src/backend/f_import.sh
new file mode 100644
index 0000000..f8dbcf3
--- /dev/null
+++ b/src/backend/f_import.sh
@@ -0,0 +1,57 @@
+#!/usr/bin/env bash
+
+if [[ -f /lib/gentoo/functions.sh ]] ; then
+ source /lib/gentoo/functions.sh
+else
+ echo "Cannot import Gentoo functions, I will abort now!"
+ exit 1
+fi
+
+if [[ -f /usr/lib/vasile/v_jail.sh ]] ; then
+ source /usr/lib/vasile/v_jail.sh
+else
+ echo "Cannot import jail variables, I will abort now!"
+ exit 1
+fi
+
+if [[ -f /usr/lib/vasile/c_jail.sh ]] ; then
+ source /usr/lib/vasile/c_jail.sh
+else
+ echo "Cannot import jail commands, I will abort now!"
+ exit 1
+fi
+
+if [[ -f /usr/lib/vasile/f_generic.sh ]] ; then
+ source /usr/lib/vasile/f_generic.sh
+else
+ echo "Cannot import generic functions, I will abort now!"
+ exit 1
+fi
+
+if [[ -f /usr/lib/vasile/f_makepkg.sh ]] ; then
+ source /usr/lib/vasile/f_makepkg.sh
+else
+ echo "Cannot import makepkg functions, I will abort now!"
+ exit 1
+fi
+
+if [[ -f /usr/lib/vasile/f_makeiso.sh ]] ; then
+ source /usr/lib/vasile/f_makeiso.sh
+else
+ echo "Cannot import makeiso functions, I will abort now!"
+ exit 1
+fi
+
+if [[ -f /usr/lib/vasile/f_modeswitch.sh ]] ; then
+ source /usr/lib/vasile/f_modeswitch.sh
+else
+ echo "Cannot import modeswitch functions, I will abort now!"
+ exit 1
+fi
+
+if [[ -f /usr/lib/vasile/f_help.sh ]] ; then
+ source /usr/lib/vasile/f_help.sh
+else
+ echo "Cannot import help functions, I will abort now!"
+ exit 1
+fi